Service Accounts APIs


This topic describes the REST APIs for the Service Account in BMC Helix Automation Console.

The base URL for the Server Accounts API is: https://<serverName>/api/v1

GET/api/v1/config/service-accounts

Get all service account profiles.

Request body: No parameters

Responses

Code

Description

200

OK

204

No Content

401

Unauthorized

500

Internal Server Error


Sample response

[
 {
   "id": "cd41cedbb-a981-4a46-b658-29a5a3837077",
   "connector_name": "<connector-name>",
   "connector_type": "TSSA",
   "credential_type": 60,
   "profiles": [
     {
       "credential_type": "DATA_REFRESH",
       "username": "BLAdmin",
       "roles": "BLAdmins",
       "authentication_method": "SRP"
     }
    ]
 }
]

GET/api/v1/config/service-accounts/{type}

Get service account profile by site type. In version 19.11, only TrueSight Server Automation is supported. 

Request body

Parameter

Description

type

Specifies the site types supported by the product.

Valid value: TSSA

Responses

Code

Description

200

OK

401

Unauthorized

404

Not Found

500

Internal Server Error


Sample response

{
 "id": "cd41cedbb-a981-4a46-b658-29a5a3837077",
 "connector_name": "172.19.156.150",
 "connector_type": "TSSA",
 "credential_type": 60,
 "profiles": [
   {
     "credential_type": "DATA_REFRESH",
     "username": "BLAdmin",
     "roles": "BLAdmins",
     "authentication_method": "SRP"
   }
  ]
}

POST/api/v1/config/service-accounts

Creates a service account profile. This is only done once for each instance of the product. 

Request body: No parameters

Responses

Code

Description

201

Created

400

Bad Request

401

Unauthorized

409

Conflict

500

Internal Server Error


Sample response

{
 "connector_name": "172.19.156.150",
 "connector_type": "TSSA",
 "delay_in_refresh_cycles": 60,
 "profiles": [
   {
     "credential_type": "DATA_REFRESH",
     "user_name": "BLAdmin",
     "password": "password",
     "roles": "BLAdmins",
     "authentication_method": "SRP"
   }
  ]
}

PUT/api/v1/config/service-accounts/{id}

Update the service account profile by ID.

Request body

Parameter

Description

id

Specifies the service account ID.

To obtain the ID, use the GET /api/v1/config/service-accounts REST API call.

Responses

Code

Description

200

OK

400

Bad Request

401

Unauthorized

404

Not Found

409

Conflict

500

Internal Server Error


Sample response

{
 "delay_in_refresh_cycles": 60,
 "profiles": [
    [
     {
       "credential_type": "DATA_REFRESH",
       "user_name": "BLAdmin",
       "password": "password",
       "roles": "BLAdmins",
       "authentication_method": "SRP"
     }
    ]
  ]
}



 

Tip: For faster searching, add an asterisk to the end of your partial query. Example: cert*

Helix Automation Console 19.11